def bell():
    print("\u0007")

def color(mode, ground, *args):
    return_string = "\u001b["
    if mode == "bright":
        return_string += "1;"
        
    if ground == "fg":
        return_string += "3"
    elif ground == "bg":
        return_string += "4"

    if mode == "256":
        return_string += "8;5;"
        return_string += args[0]
        return_string += "m"
        return return_string

    elif mode == "rgb":
        return_string += "8;2;"
        return_string = return_string + args[0] + ";" + args[1] + ";" +args[2]
        return_string += "m"
        return return_string

    elif mode == "normal":
        color_chart = {
            "black": "0",
            "red": "1",
            "green": "2",
            "yellow": "3",
            "blue": "4",
            "magenta": "5",
            "cyan": "6",
            "white": "7"
        }
        a = color_chart[args[0]]
        return_string += a
        return_string += "m"
        return return_string

bell = "\u0007"
backspace = "\u0008"
escape = "\u001b"
csi = escape + "["
reset = csi + "0m"
normal = reset
bold = csi + "1m"
underline = csi + "4m"
blink = csi + "5m"
invert = csi + "7m"
strike = csi + "9m"
normal_intensity = csi + "22m"
#no_italic = csi + "23m" #not vidley supported
no_blink = csi + "25m"
no_strike = csi + "29m"
reset_fg = csi + "39m"
reset_bg = csi + "49m"
overline = csi + "53m"
no_overline = csi + "55m"
frame = csi + "51m"
encircle = csi + "52m"
no_frame = csi + "54m"